Skip to content
Start here

List Service Bindings

client.addressing.prefixes.serviceBindings.list(stringprefixID, ServiceBindingListParams { account_id } params, RequestOptionsoptions?): SinglePage<ServiceBinding { id, cidr, provisioning, 2 more } >
GET/accounts/{account_id}/addressing/prefixes/{prefix_id}/bindings

List the Cloudflare services this prefix is currently bound to. Traffic sent to an address within an IP prefix will be routed to the Cloudflare service of the most-specific Service Binding matching the address. Example: binding 192.0.2.0/24 to Cloudflare Magic Transit and 192.0.2.1/32 to the Cloudflare CDN would route traffic for 192.0.2.1 to the CDN, and traffic for all other IPs in the prefix to Cloudflare Magic Transit.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
IP Prefixes: WriteIP Prefixes: Read
ParametersExpand Collapse
prefixID: string

Identifier of an IP Prefix.

maxLength32
params: ServiceBindingListParams { account_id }
account_id: string

Identifier of a Cloudflare account.

maxLength32
ReturnsExpand Collapse
ServiceBinding { id, cidr, provisioning, 2 more }
id?: string

Identifier of a Service Binding.

maxLength32
cidr?: string

IP Prefix in Classless Inter-Domain Routing format.

provisioning?: Provisioning { state }

Status of a Service Binding’s deployment to the Cloudflare network

state?: "provisioning" | "active" | "magic_transit_route_missing"

When a binding has been deployed to a majority of Cloudflare datacenters, the binding will become active and can be used with its associated service.

One of the following:
"provisioning"
"active"
"magic_transit_route_missing"
service_id?: string

Identifier of a Service on the Cloudflare network. Available services and their IDs may be found in the List Services endpoint.

maxLength32
service_name?: string

Name of a service running on the Cloudflare network

List Service Bindings

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const serviceBinding of client.addressing.prefixes.serviceBindings.list(
  '2af39739cc4e3b5910c918468bb89828',
  { account_id: '258def64c72dae45f3e4c8516e2111f2' },
)) {
  console.log(serviceBinding.id);
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "0429b49b6a5155297b78e75a44b09e14",
      "cidr": "192.0.2.0/24",
      "provisioning": {
        "state": "provisioning"
      },
      "service_id": "2db684ee7ca04e159946fd05b99e1bcd",
      "service_name": "Magic Transit"
    }
  ]
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "0429b49b6a5155297b78e75a44b09e14",
      "cidr": "192.0.2.0/24",
      "provisioning": {
        "state": "provisioning"
      },
      "service_id": "2db684ee7ca04e159946fd05b99e1bcd",
      "service_name": "Magic Transit"
    }
  ]
}